#ifndef COMPLEXBASE_H
#define COMPLEXBASE_H

#include <string>
using namespace std;

class ComplexBase {
  public:
   
    virtual double getReal() = 0;
    virtual double getImaginary() = 0;

    virtual double getMagnitude() = 0;
    virtual double getPhase() = 0;
    
    virtual void add(ComplexBase*) = 0;
    virtual void minus(ComplexBase*) = 0;
    virtual void time(ComplexBase*) = 0;

    virtual string toRectangularString() = 0;
    virtual string toPolarFormString() = 0;    
};

#endif /* COMPLEXBASE_H */
